# SubLogFilter (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Host

## Interface SubLogFilter

    public interface SubLogFilter

SubServer Log Filter Layout Class

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `log(java.util.logging.Level level, java.lang.String message)` Determine if this message should be logged
`void` `start()` Called when the logging has started
`void` `stop()` Called when the logging has stopped

### Method Detail

#### start

    void start()

Called when the logging has started

#### log

    boolean log(java.util.logging.Level level,
                java.lang.String message)

Determine if this message should be logged

Parameters:
  `level` - Log Level
  `message` - Message to Log
Returns:
  If this message should be logged

#### stop

    void stop()

Called when the logging has stopped